> ## Documentation Index
> Fetch the complete documentation index at: https://omo-3bacc298.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Answer Web

> Answer a user question or prompt and stream the response



## OpenAPI

````yaml post /v1/chat/
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/chat/:
    post:
      tags:
        - question_and_answering
      summary: Answer Web
      description: Answer a user question or prompt and stream the response
      operationId: answer_web_v1_chat__post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageUserContext'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MessageUserContext:
      properties:
        role:
          type: string
          title: Role
        content:
          type: string
          title: Content
        timestamp:
          type: string
          title: Timestamp
        chat_id:
          type: string
          title: Chat Id
        user_context:
          $ref: '#/components/schemas/UserContext'
      type: object
      required:
        - role
        - content
        - user_context
      title: MessageUserContext
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserContext:
      properties:
        id:
          type: integer
          title: Id
        email:
          type: string
          title: Email
        updated_at:
          type: string
          title: Updated At
        is_active:
          type: boolean
          title: Is Active
        team_id:
          type: integer
          title: Team Id
        created_at:
          type: string
          format: date-time
          title: Created At
        connectors:
          items:
            $ref: '#/components/schemas/ConnectorContext'
          type: array
          title: Connectors
        vector_store:
          $ref: '#/components/schemas/VectorStoreContext'
      type: object
      required:
        - id
        - email
        - updated_at
        - is_active
        - team_id
        - created_at
        - connectors
        - vector_store
      title: UserContext
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConnectorContext:
      properties:
        name:
          type: string
          title: Name
        id:
          items:
            type: integer
          type: array
          title: Id
      type: object
      required:
        - name
        - id
      title: ConnectorContext
    VectorStoreContext:
      properties:
        id:
          type: integer
          title: Id
        index_name:
          type: string
          title: Index Name
        environment:
          type: string
          title: Environment
        namespaces:
          items:
            type: string
          type: array
          title: Namespaces
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        provider:
          type: string
          title: Provider
      type: object
      required:
        - id
        - index_name
        - environment
        - namespaces
        - created_at
        - updated_at
        - provider
      title: VectorStoreContext

````